import type { ClientPerspective, QueryParams } from '@sanity/client';
import type { ModuleOptions } from '@devite/nuxt-sanity';
import SanityClient from './SanityClient.js';
declare class MinimalSanityClient extends SanityClient {
    private readonly queryPath;
    private readonly fetchOptions;
    constructor(config: ModuleOptions);
    private getByteLength;
    private toQueryString;
    fetch<T>(query: string, params: QueryParams, _options?: {
        perspective?: ClientPerspective;
    }): Promise<T>;
    clone(): MinimalSanityClient;
}
export default MinimalSanityClient;
